<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

if (env('APP_ENV') === 'production') {
    URL::forceScheme('https');
}
Route::get('/welcome', function () {
    return view('welcome');
});
Auth::routes();
Route::get('/', [ 'uses' => 'PagesController@home']);
Route::group(['middleware' => 'auth'], function() {
  Route::get('domains', [ 'uses' => 'PagesController@domains']);
  Route::post('domains', [ 'uses' => 'PagesController@domains']);
  Route::get('newrecord', [ 'uses' => 'PagesController@newrecord']);
  Route::post('newrecord', [ 'uses' => 'PagesController@newrecord']);
  Route::get('updaterecord', [ 'uses' => 'PagesController@updaterecord']);
  Route::post('updaterecord', [ 'uses' => 'PagesController@updaterecord']);
});

Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');
